<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:40 PST 2017 -->
<title>Decl.Fxn</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Decl.Fxn";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Decl.Field.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Decl.IsType.html" title="interface in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Decl.Fxn.html" target="_top">Frames</a></li>
<li><a href="Decl.Fxn.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Decl">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Decl.Fxn" class="title">Class Decl.Fxn</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">xdc.services.spec.Node</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">xdc.services.spec.Decl</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Decl.Fxn</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;, <a href="../../../xdc/services/spec/Decl.Annexable.html" title="interface in xdc.services.spec">Decl.Annexable</a>, <a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">Decl.Fxn</span>
extends <a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>
implements <a href="../../../xdc/services/spec/Decl.Annexable.html" title="interface in xdc.services.spec">Decl.Annexable</a>, <a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Decl.Fxn">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_xdc.services.spec.Decl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></h3>
<code><a href="../../../xdc/services/spec/Decl.Annexable.html" title="interface in xdc.services.spec">Decl.Annexable</a>, <a href="../../../xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">Decl.Arg</a>, <a href="../../../xdc/services/spec/Decl.AuxDef.html" title="interface in xdc.services.spec">Decl.AuxDef</a>, <a href="../../../xdc/services/spec/Decl.Config.html" title="class in xdc.services.spec">Decl.Config</a>, <a href="../../../xdc/services/spec/Decl.Const.html" title="class in xdc.services.spec">Decl.Const</a>, <a href="../../../xdc/services/spec/Decl.Enum.html" title="class in xdc.services.spec">Decl.Enum</a>, <a href="../../../xdc/services/spec/Decl.EnumVal.html" title="class in xdc.services.spec">Decl.EnumVal</a>, <a href="../../../xdc/services/spec/Decl.Extern.html" title="class in xdc.services.spec">Decl.Extern</a>, <a href="../../../xdc/services/spec/Decl.Field.html" title="class in xdc.services.spec">Decl.Field</a>, <a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>, <a href="../../../xdc/services/spec/Decl.IsType.html" title="interface in xdc.services.spec">Decl.IsType</a>, <a href="../../../xdc/services/spec/Decl.LocalUnit.html" title="interface in xdc.services.spec">Decl.LocalUnit</a>, <a href="../../../xdc/services/spec/Decl.OverridableDef.html" title="interface in xdc.services.spec">Decl.OverridableDef</a>, <a href="../../../xdc/services/spec/Decl.Proxy.html" title="class in xdc.services.spec">Decl.Proxy</a>, <a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a>, <a href="../../../xdc/services/spec/Decl.Sizeable.html" title="interface in xdc.services.spec">Decl.Sizeable</a>, <a href="../../../xdc/services/spec/Decl.Struct.html" title="class in xdc.services.spec">Decl.Struct</a>, <a href="../../../xdc/services/spec/Decl.Typedef.html" title="class in xdc.services.spec">Decl.Typedef</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_xdc.services.spec.Decl.Signature">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></h3>
<code><a href="../../../xdc/services/spec/Decl.Signature.ObjKind.html" title="enum in xdc.services.spec">Decl.Signature.ObjKind</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">Decl.Arg</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getArgs()">getArgs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">Decl.Arg</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getChildren()">getChildren</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getMinArgc()">getMinArgc</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getType()">getType</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getTypeCode()">getTypeCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#getTypeSig()">getTypeSig</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#isLoggable()">isLoggable</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#isVarg()">isVarg</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Decl.Fxn.html#overrides()">overrides</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Decl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></h3>
<code><a href="../../../xdc/services/spec/Decl.html#getQualName()">getQualName</a>, <a href="../../../xdc/services/spec/Decl.html#getXmlTag()">getXmlTag</a>, <a href="../../../xdc/services/spec/Decl.html#objKind(xdc.services.spec.Decl.Signature)">objKind</a>, <a href="../../../xdc/services/spec/Decl.html#objKind(xdc.services.spec.Type, java.lang.String)">objKind</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Node">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></h3>
<code><a href="../../../xdc/services/spec/Node.html#attrBool(java.lang.String)">attrBool</a>, <a href="../../../xdc/services/spec/Node.html#attrInt(java.lang.String)">attrInt</a>, <a href="../../../xdc/services/spec/Node.html#attrString(java.lang.String)">attrString</a>, <a href="../../../xdc/services/spec/Node.html#compareTo(xdc.services.spec.Node)">compareTo</a>, <a href="../../../xdc/services/spec/Node.html#getAtom()">getAtom</a>, <a href="../../../xdc/services/spec/Node.html#getAttrMap()">getAttrMap</a>, <a href="../../../xdc/services/spec/Node.html#getDocs()">getDocs</a>, <a href="../../../xdc/services/spec/Node.html#getName()">getName</a>, <a href="../../../xdc/services/spec/Node.html#getParent()">getParent</a>, <a href="../../../xdc/services/spec/Node.html#getPkgName()">getPkgName</a>, <a href="../../../xdc/services/spec/Node.html#getSession()">getSession</a>, <a href="../../../xdc/services/spec/Node.html#getSummary()">getSummary</a>, <a href="../../../xdc/services/spec/Node.html#hasAttr(java.lang.String)">hasAttr</a>, <a href="../../../xdc/services/spec/Node.html#isExternal()">isExternal</a>, <a href="../../../xdc/services/spec/Node.html#isFinal()">isFinal</a>, <a href="../../../xdc/services/spec/Node.html#isInst()">isInst</a>, <a href="../../../xdc/services/spec/Node.html#isInter()">isInter</a>, <a href="../../../xdc/services/spec/Node.html#isInternal()">isInternal</a>, <a href="../../../xdc/services/spec/Node.html#isMeta()">isMeta</a>, <a href="../../../xdc/services/spec/Node.html#isMod()">isMod</a>, <a href="../../../xdc/services/spec/Node.html#isNodoc()">isNodoc</a>, <a href="../../../xdc/services/spec/Node.html#isOver()">isOver</a>, <a href="../../../xdc/services/spec/Node.html#isReadonly()">isReadonly</a>, <a href="../../../xdc/services/spec/Node.html#isStatic()">isStatic</a>, <a href="../../../xdc/services/spec/Node.html#isSys()">isSys</a>, <a href="../../../xdc/services/spec/Node.html#makeXDoc()">makeXDoc</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">Decl.Arg</a>&gt;&nbsp;getArgs()</pre>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">Decl.Arg</a>&gt;&nbsp;getChildren()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Decl.html#getChildren()">getChildren</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></code></dd>
</dl>
</li>
</ul>
<a name="getMinArgc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinArgc</h4>
<pre>public final&nbsp;int&nbsp;getMinArgc()</pre>
</li>
</ul>
<a name="getType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a>&nbsp;getType()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Decl.Signature.html#getType()">getType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></code></dd>
</dl>
</li>
</ul>
<a name="getTypeCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeCode</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getTypeCode()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Decl.Signature.html#getTypeCode()">getTypeCode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></code></dd>
</dl>
</li>
</ul>
<a name="getTypeSig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeSig</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getTypeSig()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Decl.Signature.html#getTypeSig()">getTypeSig</a></code>&nbsp;in interface&nbsp;<code><a href="../../../xdc/services/spec/Decl.Signature.html" title="interface in xdc.services.spec">Decl.Signature</a></code></dd>
</dl>
</li>
</ul>
<a name="isLoggable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLoggable</h4>
<pre>public final&nbsp;boolean&nbsp;isLoggable()</pre>
</li>
</ul>
<a name="isVarg()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVarg</h4>
<pre>public final&nbsp;boolean&nbsp;isVarg()</pre>
</li>
</ul>
<a name="overrides()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>overrides</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a>&nbsp;overrides()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Decl.html#overrides()">overrides</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Decl.Field.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Decl.IsType.html" title="interface in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Decl.Fxn.html" target="_top">Frames</a></li>
<li><a href="Decl.Fxn.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Decl">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
